Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 736158 (CVE-2020-7068) - <dev-lang/php-{7.2.33, 7.3.21, 7.4.9}: Use-after-free in phar_parse_zipfile
Summary: <dev-lang/php-{7.2.33, 7.3.21, 7.4.9}: Use-after-free in phar_parse_zipfile
Status: RESOLVED FIXED
Alias: CVE-2020-7068
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugs.php.net/bug.php?id=79797
Whiteboard: B4 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-06 18:08 UTC by Sam James
Modified: 2020-09-13 23:43 UTC (History)
3 users (show)

See Also:
Package list:
dev-lang/php-7.2.33 dev-lang/php-7.3.21 dev-lang/php-7.4.9
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James gentoo-dev Security 2020-08-06 18:08:29 UTC
"Phar:

    Fixed 79797 (Use of freed hash key in the phar_parse_zipfile function). (CVE-2020-7068)"
Comment 1 Sam James gentoo-dev Security 2020-08-06 18:09:08 UTC
Let us know when ready to stable.
Comment 2 Sam James gentoo-dev Security 2020-08-14 22:04:06 UTC
arm64 done
Comment 3 Sam James gentoo-dev Security 2020-08-14 22:50:08 UTC
sparc done
Comment 4 Sam James gentoo-dev Security 2020-08-14 23:07:35 UTC
amd64 done
Comment 5 Sam James gentoo-dev Security 2020-08-15 05:55:00 UTC
arm done
Comment 6 Sam James gentoo-dev Security 2020-08-15 07:05:27 UTC
x86 done
Comment 7 Sergei Trofimovich gentoo-dev 2020-08-15 07:43:11 UTC
hppa stable
Comment 8 Sam James gentoo-dev Security 2020-08-29 18:20:38 UTC
ppc done
Comment 9 Sam James gentoo-dev Security 2020-09-01 04:16:19 UTC
ppc64 done

all arches done
Comment 10 Sam James gentoo-dev Security 2020-09-01 04:18:42 UTC
Please cleanup.
Comment 11 Larry the Git Cow gentoo-dev 2020-09-01 11:42:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7476c2a596118d7287feb80a487f8e204f495334

commit 7476c2a596118d7287feb80a487f8e204f495334
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-09-01 11:39:25 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-09-01 11:39:25 +0000

    dev-lang/php: remove old versions vulnerable to CVE-2020-7068.
    
    Bug: https://bugs.gentoo.org/736158
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 dev-lang/php/Manifest            |   8 -
 dev-lang/php/php-7.2.31.ebuild   | 759 --------------------------------------
 dev-lang/php/php-7.2.32.ebuild   | 759 --------------------------------------
 dev-lang/php/php-7.3.18.ebuild   | 760 ---------------------------------------
 dev-lang/php/php-7.3.19.ebuild   | 760 ---------------------------------------
 dev-lang/php/php-7.3.20.ebuild   | 760 ---------------------------------------
 dev-lang/php/php-7.4.6.ebuild    | 750 --------------------------------------
 dev-lang/php/php-7.4.7.ebuild    | 750 --------------------------------------
 dev-lang/php/php-7.4.8-r1.ebuild | 750 --------------------------------------
 9 files changed, 6056 deletions(-)
Comment 12 Thomas Deutschmann gentoo-dev Security 2020-09-12 20:10:45 UTC
New GLSA request filed.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2020-09-13 23:43:00 UTC
This issue was resolved and addressed in
 GLSA 202009-10 at https://security.gentoo.org/glsa/202009-10
by GLSA coordinator Thomas Deutschmann (whissi).